Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08257 DIP/Input Minor Always Mar 18, 2022, 20:27 Apr 3, 2022, 21:53
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver vicdual.cpp
Version 0.241 Fixed in Version 0.242 Build 64-bit
Fixed in Git Commit f1214e0 Github Pull Request # #9441
Summary 08257: alphaho: "Bonus Life" DIP
Description Picture below shows "Unknown" DIP 3 is actually Alpha Figher "Bonus Life" DIP: ON = 1000 OFF = 1500
Does not affect Head On. Head On always gives a Bonus Life at 5000 points no matter what DIP 3 is set at.
Steps To Reproduce Load and run game. Select Alpha Fighter. Turn Unknown DIP 3 ON
Play game until score reaches 1000 points, noting Bonus Life added to bottom left of screen.
Set Unknown DIP 3 to OFF, and play game until score reaches 1500 points, noting Bonus Life has been added to bottom left of screen.
Easy to reach Bonus Life points, but you can use "Bullet Invincibility" cheat if you have to.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems alphaho
Attached Files
jpg file icon Alpha Fighter Bonus Life DIP.jpg (214,027 bytes) Mar 18, 2022, 20:27 Uploaded by chaneman
chaneman
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.19930
Steve Coomber
Tester
Mar 19, 2022, 13:25
This DIP switch also affects "Missile" on alphahob although the bonus life scores are different (DIP: ON = 10k OFF = 15k)